/* Kvaldemo.c -- 2014-02-26 */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <conio.h>
#include "MSviscon.h"

struct seriepost {
	int totnr;		/* totala antalet motstnd i serien */
	int outnr;		/* totala antalet utanfr 5% i serien */
	float medel;	/* medelvrdet fr resistanserna i serien */
};

FILE *oppna_strom(void) {
	FILE *tsin;
	char filnamn[30];

	do {
		clrscr();
		gotoxy(10, 10);
		printf("Ge m\204tfilens namn <ENTER ger Measure.txt> : ");
		gets(filnamn);
		if (filnamn[0] != '\0')
			tsin = fopen(filnamn, "rt");
		else
			tsin = fopen("Measure.txt", "rt");
		if (tsin == NULL) {
			gotoxy(30, 20);
			printf("Finns ingen s\206dan fil!\n");
			gotoxy(30, 22);
			printf("Tryck tangent! ESC avslutar!");
			if (_getch() == 27)
				exit(1);
		}
	} while (tsin == NULL);
	return tsin;
}

int las_data(FILE *tsin, struct seriepost serier[]) {
	return 0;
}

void visa_stat(struct seriepost serier[], int antal_serier) {

}

int meny_motor(char *alt[], int nr) {
	int i;
	int ch;

	clrscr();
	setcursor(0, 1);
	for (i = 0; i < nr; i++) {
		gotoxy(30, 10+i);
		puts(alt[i]);
	}

	gotoxy(20, 23);
	printf("Flytta med piltangenterna och v\204lj med ENTER!");

	gotoxy(27, 10);
	printf("=> ");
	while (1) {
		if ( _kbhit() ) {
			ch = _getch();
			if ( ch == 0 || ch == 224) {
				ch = _getch();
				if (ch == 80  && wherey() < 9+nr) {
					gotoxy(wherex()-3, wherey());
					printf("   ");
					gotoxy(wherex()-3, wherey() + 1 );
					printf("=> ");
				}
				else if ( ch == 72 && wherey() > 10) {
					gotoxy(wherex()-3, wherey());
					printf("   ");
					gotoxy(wherex()-3, wherey() -1);
					printf("=> ");
				}
			}
			else if ( ch == 13 )
				break;
		}
	}
	setcursor(1, 0);
	return wherey() - 9;
}

int main() {
	char *menyalt[] = { "L\204s m\204tdata",
						"Visa statistik",
						"Avsluta"};
	int menyval, slut = 0, antal_serier = 0;
	struct seriepost matserier[20];
	FILE *tsin;

	do {
		menyval = meny_motor(menyalt, 3);
		switch (menyval) {
		case 1:
			tsin = oppna_strom();
			antal_serier = las_data(tsin, matserier);
			fclose(tsin);
			break;
		case 2:
			visa_stat(matserier, antal_serier);
			break;
		case 3:
			slut = 1;
			break;
		}
	} while (!slut);

	return 0;
}
